/*
    slforum version 1.x - Simple chat room usable via telnet.
    Copyright (C) 1999,2000 Jeremy D. Monin, Dan Chin, Matt Lochansky
	(forum@shadowlands.org).
    Based on jdkchat version 1.3, J.D.Koftinoff Software, Ltd. (GPL'd)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __SLFORUMUTIL_H
#define __SLFORUMUTIL_H

/* from slforumutil.c */
#ifdef __cplusplus
extern "C" {
#endif

extern char telnet_init[];
extern char telnet_local_on[];
extern char telnet_local_off[];

int lpwrite( int fd, const char *buf, int sz );
int lpcat( int fd, const char *fname ); 
int lpprintf (int fd, const char *fmt, ...);  

    FILE *slf_safe_fopen (const char *desc,
			  const char *fname, const char *mode);

    int datediff (time_t fromtime, time_t totime, struct tm *ddif);

#ifdef __cplusplus
}	/* end extern "C" */
#endif

#endif	/* ifndef __SLFORUMUTIL_H */
