/*
    slforum version 1.x - Simple chat room usable via telnet.
    Copyright (C) 2000 Jeremy D. Monin, Dan Chin, Matt Lochansky
	(forum@shadowlands.org).
    Based on jdkchat version 1.3, J.D.Koftinoff Software, Ltd. (GPL'd)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __WORLD_H
#define __WORLD_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>  /* for logprintf jer 980703.1300 */
#include <signal.h>
#include <unistd.h>
#include <string.h>  /* for strerror */
#include <strings.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/stat.h>	/* for stat */
#include <netinet/in.h>
#include <arpa/inet.h>
#include <arpa/telnet.h>
#include <netdb.h>
#include <ctype.h>
#include <errno.h>
#include <grp.h>  /* for getgrgid, struct group (admin auth) */
#include <limits.h>  /* for PATH_MAX */

#endif
